package com.ruoyi.ibs.rules.service;


import com.ruoyi.ibs.rules.domain.dto.RelationRuleDTO;
import com.ruoyi.ibs.rules.domain.vo.RelationRuleVO;

import java.util.List;
import java.util.Map;

/**
 * 分配引擎规则;Service接口
 *
 * @author ruoyi
 * @date 2024-09-20
 */
public interface IRelationRuleService {


    /**
     * 查询分配引擎规则;列表
     *
     * @param
     * @return 分配引擎规则;集合
     */
    public List<RelationRuleVO> selectRelationRuleList();

    /**
     * 新增分配引擎规则;
     *
     * @param relationRules 分配引擎规则;
     * @return 结果
     */
    public int insertRelationRule(List<RelationRuleDTO> relationRules);


    /**
     * 修改分配引擎规则;信息
     *
     * @param List<RelationRuleVO> 分配引擎规则;主键
     * @return 结果
     */
    public int updateRelationRule(List<RelationRuleDTO> relationRules);


    /**
     * 删除分配引擎规则;信息
     *
     * @param id 分配引擎规则;主键
     * @return 结果
     */
    public int deleteRelationRuleById(String id);


    /**
     * 删除分配引擎规则;信息
     *
     * @param id 分配引擎规则;主键
     * @return 结果
     */
    public int upadteAllDate(String opType);


    /**
     * 获取规则m码值
     *
     * @param
     * @return 结果 <id,name><
     */

    public Map<String,String> getParamList();


    /**
     * 获取地址来源码值
     *
     * @param
     * @return 结果 <id,name><
     */

    public Map<String,String> getAddressSource();

}
